| Classes - Annotated - Tree - Functions - Home - Structure

# QTextEncoder Class Reference

State-based encoder More...

`#include <qtextcodec.h>`

List of all member functions.

## Public Members

- virtual ~QTextEncoder ()
- virtual QCString fromUnicode ( const QString & uc, int & lenInOut )

## Detailed Description

State-based encoder

A QTextEncoder converts Unicode into another format, remembering any state that is required between calls.

See also QTextCodec::makeEncoder().

## Member Function Documentation

### QTextEncoder::~QTextEncoder () `[virtual]`

Destructs the encoder.

### QCString QTextEncoder::fromUnicode ( const QString & uc, int & lenInOut ) `[virtual]`

Converts lenInOut characters (not bytes) from uc, producing a QCString. lenInOut will also be set to the length of the result (in bytes).

The encoder is free to record state to use when subsequent calls are made to this function (for example, it might change modes with escape sequences if needed during the encoding of one string, then assume that mode applies when a subsequent call begins).

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.